<?php
namespace Bushelpowered\Api\Aggregator\Businesspages\V1\Model;
        
class StaffDiscountScheduleListItem 
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var string $name The name of the discount schedule.*/
    public string $name;
    /** @var bool $isPublic An indicator of the discount schedule's public availability.*/
    public bool $isPublic;
    /** @var bool $isPublished Indicates whether the discount schedule is viewable by growers.*/
    public bool $isPublished;
    /** @var null|string $updatedBy The user name of the person who last made an update.*/
    public ?string $updatedBy = null;
    /** @var string $updatedAt The date and time the business location was updated. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  string  $name The name of the discount schedule.
     * @param  bool  $isPublic An indicator of the discount schedule's public availability.
     * @param  bool  $isPublished Indicates whether the discount schedule is viewable by growers.
     * @param  null|string  $updatedBy The user name of the person who last made an update.
     * @param  string  $updatedAt The date and time the business location was updated. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $name, bool $isPublic, bool $isPublished, ?string $updatedBy, string $updatedAt)
    {
        $this->id = $id;
        $this->name = $name;
        $this->isPublic = $isPublic;
        $this->isPublished = $isPublished;
        $this->updatedBy = $updatedBy;
        $this->updatedAt = $updatedAt;
    }
    

}