<?php
namespace Bushelpowered\Api\Aggregator\Crm\V1\Request;
        
class CreateCustomerRequest 
{
    /** @var string $name The name of the customer, editable*/
    public string $name;
    /** @var \Bushelpowered\Api\Aggregator\Crm\V1\Request\ContactInformationRequest[] $phones An array of phone numbers for the customer.*/
    public array $phones;
    /** @var \Bushelpowered\Api\Aggregator\Crm\V1\Request\ContactInformationRequest[] $emails An array of emails for the customer.*/
    public array $emails;
    /** @var \Bushelpowered\Api\Aggregator\Crm\V1\Request\AddressRequest[] $addresses An array of addresses for the customer.*/
    public array $addresses;

    /**
     * @param  string  $name The name of the customer, editable
     * @param  \Bushelpowered\Api\Aggregator\Crm\V1\Request\ContactInformationRequest[]  $phones An array of phone numbers for the customer.
     * @param  \Bushelpowered\Api\Aggregator\Crm\V1\Request\ContactInformationRequest[]  $emails An array of emails for the customer.
     * @param  \Bushelpowered\Api\Aggregator\Crm\V1\Request\AddressRequest[]  $addresses An array of addresses for the customer.
     */
    public function __construct(string $name, array $phones, array $emails, array $addresses)
    {
        $this->name = $name;
        $this->phones = $phones;
        $this->emails = $emails;
        $this->addresses = $addresses;
    }
    

}