<?php
namespace Bushelpowered\Api\Common\Event;
        
interface StandardRecord
{
        /**
         * @return string The bushel id for this record.
         */
    public function getid(): string;
        /**
         * @return null|string The id of the tenant this record belongs to.
         */
    public function gettenantId(): ?string;
        /**
         * @return string The id of the datasource this record came from.
         */
    public function getdatasourceId(): string;
        /**
         * @return string The global unique id of the data in the source repository (often an ERP DB), often the concatenation of the datasource and source identifier to ensure uniqueness.
         */
    public function getintegrationId(): string;
        /**
         * @return string The id of the data in the source repository (often an ERP/DB). Unique only in the context of it's data source.
         */
    public function getsourceId(): string;
        /**
         * @return null|string The bushel id of the account that owns this record, if any.
         */
    public function getaccountId(): ?string;
        /**
         * @return null|string The bushel id of the location that owns this record, if any.
         */
    public function getlocationId(): ?string;
        /**
         * @return string The last time this record was updated. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getupdatedAt(): string;
        /**
         * @return string When the record was created. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getcreatedAt(): string;
        /**
         * @return null|string The time the record was deleted. Null if not deleted. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getdeletedAt(): ?string;
}