<?php
namespace Bushelpowered\Api\Crm\V1\Request;
        
class CreateBinRequest 
{
    /** @var string $customerId The UUID of the customer associated with the bin*/
    public string $customerId;
    /** @var string $commoditySubgroupId The commodity subgroup id from Commodity Service*/
    public string $commoditySubgroupId;
    /** @var null|string $commodityVarietyId The commodity variety id from Commodity Service, nullable*/
    public ?string $commodityVarietyId = null;
    /** @var string $name The name of the bin*/
    public string $name;
    /** @var null|int $quantity The quantity in the bin, nullable*/
    public ?int $quantity = null;
    /** @var string $quantityUoM Unit of measure for quantity, default to bu*/
    public string $quantityUoM;
    /** @var string $comments Comments about the bin*/
    public string $comments;
    /** @var null|float $protein The protein of the commodity in the bin, nullable*/
    public ?float $protein = null;
    /** @var null|float $testWeight The test weight of the commodity in the bin, nullable*/
    public ?float $testWeight = null;
    /** @var null|float $moisture The moisture content of the commodity in the bin, nullable*/
    public ?float $moisture = null;
    /** @var null|float $dhv The dhv of the commodity in the bin, nullable*/
    public ?float $dhv = null;
    /** @var null|float $hvac The hvac of the commodity in the bin, nullable*/
    public ?float $hvac = null;
    /** @var null|float $plump The plump of the commodity in the bin, nullable*/
    public ?float $plump = null;
    /** @var null|float $thins The thins of the commodity in the bin, nullable*/
    public ?float $thins = null;
    /** @var null|float $skbn The skbn of the commodity in the bin, nullable*/
    public ?float $skbn = null;

    /**
     * @param  string  $customerId The UUID of the customer associated with the bin
     * @param  string  $commoditySubgroupId The commodity subgroup id from Commodity Service
     * @param  null|string  $commodityVarietyId The commodity variety id from Commodity Service, nullable
     * @param  string  $name The name of the bin
     * @param  null|int  $quantity The quantity in the bin, nullable
     * @param  string  $quantityUoM Unit of measure for quantity, default to bu
     * @param  string  $comments Comments about the bin
     * @param  null|float  $protein The protein of the commodity in the bin, nullable
     * @param  null|float  $testWeight The test weight of the commodity in the bin, nullable
     * @param  null|float  $moisture The moisture content of the commodity in the bin, nullable
     * @param  null|float  $dhv The dhv of the commodity in the bin, nullable
     * @param  null|float  $hvac The hvac of the commodity in the bin, nullable
     * @param  null|float  $plump The plump of the commodity in the bin, nullable
     * @param  null|float  $thins The thins of the commodity in the bin, nullable
     * @param  null|float  $skbn The skbn of the commodity in the bin, nullable
     */
    public function __construct(string $customerId, string $commoditySubgroupId, ?string $commodityVarietyId, string $name, ?int $quantity, string $quantityUoM, string $comments, ?float $protein, ?float $testWeight, ?float $moisture, ?float $dhv, ?float $hvac, ?float $plump, ?float $thins, ?float $skbn)
    {
        $this->customerId = $customerId;
        $this->commoditySubgroupId = $commoditySubgroupId;
        $this->commodityVarietyId = $commodityVarietyId;
        $this->name = $name;
        $this->quantity = $quantity;
        $this->quantityUoM = $quantityUoM;
        $this->comments = $comments;
        $this->protein = $protein;
        $this->testWeight = $testWeight;
        $this->moisture = $moisture;
        $this->dhv = $dhv;
        $this->hvac = $hvac;
        $this->plump = $plump;
        $this->thins = $thins;
        $this->skbn = $skbn;
    }
    

}