<?php
namespace Bushelpowered\Api\Iam\Access\Evaluate\V1\Request;
        
class CheckEntityRequest implements \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\HasConsistency, \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\HasPermissions, \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\HasEntity
{
    /** @var null|\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency $consistency */
    public ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency $consistency = null;
    /** @var string[] $permissions The permissions to check or lookup. Use the GetAllPermissions operation to see available options.*/
    public array $permissions;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Entity $entity */
    public \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Entity $entity;

    /**
     * @param  null|\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency  $consistency 
     * @param  string[]  $permissions The permissions to check or lookup. Use the GetAllPermissions operation to see available options.
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Entity  $entity 
     */
    public function __construct(?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency $consistency, array $permissions, \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Entity $entity)
    {
        $this->consistency = $consistency;
        $this->permissions = $permissions;
        $this->entity = $entity;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency 
     */
    public function getConsistency(): ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency
    {
        return $this->consistency;
    }
    /**
     * @return string[] The permissions to check or lookup. Use the GetAllPermissions operation to see available options.
     */
    public function getPermissions(): array
    {
        return $this->permissions;
    }
    /**
     * @return \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Entity 
     */
    public function getEntity(): \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Entity
    {
        return $this->entity;
    }
}