<?php
namespace Bushelpowered\Api\Iam\Serviceaccounts\V1\Request;
        
class CreateServiceAccountKeyRequest 
{
    /** @var string $serviceAccountId The id of the service account to create the key for*/
    public string $serviceAccountId;
    /** @var string $name The name of the key*/
    public string $name;
    /** @var null|string $expiresAt The the instant the key expires of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $expiresAt = null;

    /**
     * @param  string  $serviceAccountId The id of the service account to create the key for
     * @param  string  $name The name of the key
     * @param  null|string  $expiresAt The the instant the key expires of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $serviceAccountId, string $name, ?string $expiresAt)
    {
        $this->serviceAccountId = $serviceAccountId;
        $this->name = $name;
        $this->expiresAt = $expiresAt;
    }
    

}