<?php
namespace Bushelpowered\Api\Iam\Serviceaccounts\V1\Request;
        
class CreateServiceAccountRequest 
{
    /** @var string $name The name of the service account*/
    public string $name;
    /** @var null|string $description Description of what this service account will do*/
    public ?string $description = null;
    /** @var null|string $defaultDatasourceId The datasource to associate entities created by the service account with unless otherwise specified in each request.
    Many integration and data creation operations require a datasource to be specified.
    Has no effect on permissions or data returned from API operations.*/
    public ?string $defaultDatasourceId = null;

    /**
     * @param  string  $name The name of the service account
     * @param  null|string  $description Description of what this service account will do
     * @param  null|string  $defaultDatasourceId The datasource to associate entities created by the service account with unless otherwise specified in each request.
    Many integration and data creation operations require a datasource to be specified.
    Has no effect on permissions or data returned from API operations.
     */
    public function __construct(string $name, ?string $description, ?string $defaultDatasourceId)
    {
        $this->name = $name;
        $this->description = $description;
        $this->defaultDatasourceId = $defaultDatasourceId;
    }
    

}