<?php
namespace Bushelpowered\Api\Payments\V1\Model;
        
class PaymentsListItem 
{
    /** @var string $id */
    public string $id;
    /** @var \Bushelpowered\Api\Payments\V1\Enums\PaymentOrigin $origin */
    public \Bushelpowered\Api\Payments\V1\Enums\PaymentOrigin $origin;
    /** @var \Bushelpowered\Api\Payments\V1\Enums\PaymentType $paymentType */
    public \Bushelpowered\Api\Payments\V1\Enums\PaymentType $paymentType;
    /** @var \Bushelpowered\Api\Payments\V1\Enums\PaymentTiming $paymentTiming */
    public \Bushelpowered\Api\Payments\V1\Enums\PaymentTiming $paymentTiming;
    /** @var string $paymentMethod How the payment was made*/
    public string $paymentMethod;
    /** @var string $amount The amount of this payment*/
    public string $amount;
    /** @var \Bushelpowered\Api\Payments\V1\Enums\PaymentStatus $status */
    public \Bushelpowered\Api\Payments\V1\Enums\PaymentStatus $status;
    /** @var null|string $processedAt Processed payments only: When the payment WAS processed of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $processedAt = null;
    /** @var null|string $processOn Scheduled payments only: When the payment WILL be processed of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $processOn = null;
    /** @var string $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;

    /**
     * @param  string  $id 
     * @param  \Bushelpowered\Api\Payments\V1\Enums\PaymentOrigin  $origin 
     * @param  \Bushelpowered\Api\Payments\V1\Enums\PaymentType  $paymentType 
     * @param  \Bushelpowered\Api\Payments\V1\Enums\PaymentTiming  $paymentTiming 
     * @param  string  $paymentMethod How the payment was made
     * @param  string  $amount The amount of this payment
     * @param  \Bushelpowered\Api\Payments\V1\Enums\PaymentStatus  $status 
     * @param  null|string  $processedAt Processed payments only: When the payment WAS processed of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $processOn Scheduled payments only: When the payment WILL be processed of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, \Bushelpowered\Api\Payments\V1\Enums\PaymentOrigin $origin, \Bushelpowered\Api\Payments\V1\Enums\PaymentType $paymentType, \Bushelpowered\Api\Payments\V1\Enums\PaymentTiming $paymentTiming, string $paymentMethod, string $amount, \Bushelpowered\Api\Payments\V1\Enums\PaymentStatus $status, ?string $processedAt, ?string $processOn, string $createdAt)
    {
        $this->id = $id;
        $this->origin = $origin;
        $this->paymentType = $paymentType;
        $this->paymentTiming = $paymentTiming;
        $this->paymentMethod = $paymentMethod;
        $this->amount = $amount;
        $this->status = $status;
        $this->processedAt = $processedAt;
        $this->processOn = $processOn;
        $this->createdAt = $createdAt;
    }
    

}