<?php
namespace Bushelpowered\Api\Payments\V1\Request;
        
class GetPaymentsListRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var \Bushelpowered\Api\Payments\V1\Model\PaymentsFilter $filter */
    public \Bushelpowered\Api\Payments\V1\Model\PaymentsFilter $filter;
    /** @var null|\Bushelpowered\Api\Payments\V1\Request\DisplayPaymentsPagination $pagination */
    public ?\Bushelpowered\Api\Payments\V1\Request\DisplayPaymentsPagination $pagination = null;

    /**
     * @param  \Bushelpowered\Api\Payments\V1\Model\PaymentsFilter  $filter 
     * @param  null|\Bushelpowered\Api\Payments\V1\Request\DisplayPaymentsPagination  $pagination 
     */
    public function __construct(\Bushelpowered\Api\Payments\V1\Model\PaymentsFilter $filter, ?\Bushelpowered\Api\Payments\V1\Request\DisplayPaymentsPagination $pagination)
    {
        $this->filter = $filter;
        $this->pagination = $pagination;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Payments\V1\Request\DisplayPaymentsPagination 
     */
    public function getPagination(): ?\Bushelpowered\Api\Payments\V1\Request\DisplayPaymentsPagination
    {
        return $this->pagination;
    }
}