<?php
namespace Bushelpowered\Api\Payments\V1\Response;
        
class FilterResponse 
{
    /** @var \Bushelpowered\Api\Payments\V1\Enums\PaymentOrigin[]|null $origin All of the payment origins that a user has payments for*/
    public ?array $origin = null;
    /** @var \Bushelpowered\Api\Payments\V1\Enums\PaymentType[]|null $paymentType All of the payment types that a user has payments for*/
    public ?array $paymentType = null;
    /** @var null|\Bushelpowered\Api\Common\Model\DateFilter $date */
    public ?\Bushelpowered\Api\Common\Model\DateFilter $date = null;
    /** @var \Bushelpowered\Api\Payments\V1\Enums\PaymentEntry[]|null $entry All of the entries that the user has payments for*/
    public ?array $entry = null;

    /**
     * @param  \Bushelpowered\Api\Payments\V1\Enums\PaymentOrigin[]|null  $origin All of the payment origins that a user has payments for
     * @param  \Bushelpowered\Api\Payments\V1\Enums\PaymentType[]|null  $paymentType All of the payment types that a user has payments for
     * @param  null|\Bushelpowered\Api\Common\Model\DateFilter  $date 
     * @param  \Bushelpowered\Api\Payments\V1\Enums\PaymentEntry[]|null  $entry All of the entries that the user has payments for
     */
    public function __construct(?array $origin, ?array $paymentType, ?\Bushelpowered\Api\Common\Model\DateFilter $date, ?array $entry)
    {
        $this->origin = $origin;
        $this->paymentType = $paymentType;
        $this->date = $date;
        $this->entry = $entry;
    }
    

}