<?php
namespace Bushelpowered\Api\Platform\Eventstore\V1\Common;
        
class Event 
{
    /** @var string $stream The name of the stream*/
    public string $stream;
    /** @var string $generatedAt The time the event was generated of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $generatedAt;
    /** @var array $metadata The event metadata*/
    public array $metadata;
    /** @var string $content The message content*/
    public string $content;
    /** @var string $idempotencyKey The idempotency key of the event.*/
    public string $idempotencyKey;
    /** @var null|string $brokerId The id the broker assigned the event. For Pulsar messages this is the message id.*/
    public ?string $brokerId = null;
    /** @var null|string $aggregateId Optional. The aggregate id of the event.*/
    public ?string $aggregateId = null;
    /** @var null|string $entityId Optional. The entity id that generated the event.*/
    public ?string $entityId = null;
    /** @var null|string $tenantId Optional. The tenant id that owns the event.*/
    public ?string $tenantId = null;

    /**
     * @param  string  $stream The name of the stream
     * @param  string  $generatedAt The time the event was generated of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  array  $metadata The event metadata
     * @param  string  $content The message content
     * @param  string  $idempotencyKey The idempotency key of the event.
     * @param  null|string  $brokerId The id the broker assigned the event. For Pulsar messages this is the message id.
     * @param  null|string  $aggregateId Optional. The aggregate id of the event.
     * @param  null|string  $entityId Optional. The entity id that generated the event.
     * @param  null|string  $tenantId Optional. The tenant id that owns the event.
     */
    public function __construct(string $stream, string $generatedAt, array $metadata, string $content, string $idempotencyKey, ?string $brokerId, ?string $aggregateId, ?string $entityId, ?string $tenantId)
    {
        $this->stream = $stream;
        $this->generatedAt = $generatedAt;
        $this->metadata = $metadata;
        $this->content = $content;
        $this->idempotencyKey = $idempotencyKey;
        $this->brokerId = $brokerId;
        $this->aggregateId = $aggregateId;
        $this->entityId = $entityId;
        $this->tenantId = $tenantId;
    }
    

}