<?php
namespace Bushelpowered\Api\Platform\File\V1\Request;
        
class StoreFileRequest 
{
    /** @var \Bushelpowered\Api\Platform\File\V1\Common\FileType $fileType */
    public \Bushelpowered\Api\Platform\File\V1\Common\FileType $fileType;
    /** @var null|\Bushelpowered\Api\Platform\File\V1\Common\FileStore $store */
    public ?\Bushelpowered\Api\Platform\File\V1\Common\FileStore $store = null;
    /** @var string $displayName The display name of the file. e.g. my file*/
    public string $displayName;
    /** @var string $sourceFileName The name of the file provided by the client.*/
    public string $sourceFileName;
    /** @var string $sourceContentType The IANA media type (mime type) of the file provided by the client.*/
    public string $sourceContentType;
    /** @var string $createdBy The user who created the file.*/
    public string $createdBy;
    /** @var \Bushelpowered\Api\Platform\File\V1\Common\Attachment[]|null $attachments List of resources this file is attached to*/
    public ?array $attachments = null;
    /** @var null|\Bushelpowered\Api\Platform\File\V1\Common\Validations $validations */
    public ?\Bushelpowered\Api\Platform\File\V1\Common\Validations $validations = null;
    /** @var \Bushelpowered\Api\Platform\File\V1\Common\FileData $data */
    public \Bushelpowered\Api\Platform\File\V1\Common\FileData $data;

    /**
     * @param  \Bushelpowered\Api\Platform\File\V1\Common\FileType  $fileType 
     * @param  null|\Bushelpowered\Api\Platform\File\V1\Common\FileStore  $store 
     * @param  string  $displayName The display name of the file. e.g. my file
     * @param  string  $sourceFileName The name of the file provided by the client.
     * @param  string  $sourceContentType The IANA media type (mime type) of the file provided by the client.
     * @param  string  $createdBy The user who created the file.
     * @param  \Bushelpowered\Api\Platform\File\V1\Common\Attachment[]|null  $attachments List of resources this file is attached to
     * @param  null|\Bushelpowered\Api\Platform\File\V1\Common\Validations  $validations 
     * @param  \Bushelpowered\Api\Platform\File\V1\Common\FileData  $data 
     */
    public function __construct(\Bushelpowered\Api\Platform\File\V1\Common\FileType $fileType, ?\Bushelpowered\Api\Platform\File\V1\Common\FileStore $store, string $displayName, string $sourceFileName, string $sourceContentType, string $createdBy, ?array $attachments, ?\Bushelpowered\Api\Platform\File\V1\Common\Validations $validations, \Bushelpowered\Api\Platform\File\V1\Common\FileData $data)
    {
        $this->fileType = $fileType;
        $this->store = $store;
        $this->displayName = $displayName;
        $this->sourceFileName = $sourceFileName;
        $this->sourceContentType = $sourceContentType;
        $this->createdBy = $createdBy;
        $this->attachments = $attachments;
        $this->validations = $validations;
        $this->data = $data;
    }
    

}