<?php
namespace Bushelpowered\Api\Platform\Tenant\V1\Request;
        
class GetAllAccountsRequest implements \Bushelpowered\Api\Common\RequestsPagination, \Bushelpowered\Api\Common\HasCreatedAtFilter
{
    /** @var string[]|null $ids */
    public ?array $ids = null;
    /** @var string[]|null $tenantIds */
    public ?array $tenantIds = null;
    /** @var string[]|null $integrationIds */
    public ?array $integrationIds = null;
    /** @var string[]|null $sourceIds */
    public ?array $sourceIds = null;
    /** @var null|string $name Fuzzy search on sourceName and name. The input is split by spaces, and all parts must match (AND logic) for a result to be returned.*/
    public ?string $name = null;
    /** @var null|\Bushelpowered\Api\Platform\Tenant\V1\Request\AccountPagination $pagination */
    public ?\Bushelpowered\Api\Platform\Tenant\V1\Request\AccountPagination $pagination = null;
    /** @var null|string $createdAtEqualOrAfter Created at is equal or after (inclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $createdAtEqualOrAfter = null;
    /** @var null|string $createdAtBefore Created at is before (exclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $createdAtBefore = null;

    /**
     * @param  string[]|null  $ids 
     * @param  string[]|null  $tenantIds 
     * @param  string[]|null  $integrationIds 
     * @param  string[]|null  $sourceIds 
     * @param  null|string  $name Fuzzy search on sourceName and name. The input is split by spaces, and all parts must match (AND logic) for a result to be returned.
     * @param  null|\Bushelpowered\Api\Platform\Tenant\V1\Request\AccountPagination  $pagination 
     * @param  null|string  $createdAtEqualOrAfter Created at is equal or after (inclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $createdAtBefore Created at is before (exclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(?array $ids, ?array $tenantIds, ?array $integrationIds, ?array $sourceIds, ?string $name, ?\Bushelpowered\Api\Platform\Tenant\V1\Request\AccountPagination $pagination, ?string $createdAtEqualOrAfter, ?string $createdAtBefore)
    {
        $this->ids = $ids;
        $this->tenantIds = $tenantIds;
        $this->integrationIds = $integrationIds;
        $this->sourceIds = $sourceIds;
        $this->name = $name;
        $this->pagination = $pagination;
        $this->createdAtEqualOrAfter = $createdAtEqualOrAfter;
        $this->createdAtBefore = $createdAtBefore;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Platform\Tenant\V1\Request\AccountPagination 
     */
    public function getPagination(): ?\Bushelpowered\Api\Platform\Tenant\V1\Request\AccountPagination
    {
        return $this->pagination;
    }
    /**
     * @return null|string Created at is equal or after (inclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAtEqualOrAfter(): ?string
    {
        return $this->createdAtEqualOrAfter;
    }
    /**
     * @return null|string Created at is before (exclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAtBefore(): ?string
    {
        return $this->createdAtBefore;
    }
}