<?php
namespace Bushelpowered\Api\Reporting\Tickets\V1\Request;
        
class TicketsUpsertConfigurationRequest 
{
    /** @var string $slug The slug of the datasource being configured*/
    public string $slug;
    /** @var bool $enabled Whether or not reporting is enabled for the tenant*/
    public bool $enabled;
    /** @var null|string $title The name of the report to appear on the report, defaulted if not set*/
    public ?string $title = null;
    /** @var bool $truckNameEnabled Whether or not to include truck name on the report*/
    public bool $truckNameEnabled;
    /** @var bool $truckLicenseEnabled Whether or not to include truck license on the report*/
    public bool $truckLicenseEnabled;
    /** @var bool $truckDriverEnabled Whether or not to include truck driver on the report*/
    public bool $truckDriverEnabled;

    /**
     * @param  string  $slug The slug of the datasource being configured
     * @param  bool  $enabled Whether or not reporting is enabled for the tenant
     * @param  null|string  $title The name of the report to appear on the report, defaulted if not set
     * @param  bool  $truckNameEnabled Whether or not to include truck name on the report
     * @param  bool  $truckLicenseEnabled Whether or not to include truck license on the report
     * @param  bool  $truckDriverEnabled Whether or not to include truck driver on the report
     */
    public function __construct(string $slug, bool $enabled, ?string $title, bool $truckNameEnabled, bool $truckLicenseEnabled, bool $truckDriverEnabled)
    {
        $this->slug = $slug;
        $this->enabled = $enabled;
        $this->title = $title;
        $this->truckNameEnabled = $truckNameEnabled;
        $this->truckLicenseEnabled = $truckLicenseEnabled;
        $this->truckDriverEnabled = $truckDriverEnabled;
    }
    

}