<?php
namespace Bushelpowered\Api\Reporting\Tickets\V1\Response;
        
class TicketsGradeFactorResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    /** @var string $id */
    public string $id;
    /** @var string $gradeName The grade factor to be displayed*/
    public string $gradeName;
    /** @var string $displayName The display name of the grade factor*/
    public string $displayName;
    /** @var int $displayOrder The order of display of the grade factor*/
    public int $displayOrder;
    /** @var string $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  string  $id 
     * @param  string  $gradeName The grade factor to be displayed
     * @param  string  $displayName The display name of the grade factor
     * @param  int  $displayOrder The order of display of the grade factor
     * @param  string  $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $gradeName, string $displayName, int $displayOrder, string $createdAt, string $updatedAt)
    {
        $this->id = $id;
        $this->gradeName = $gradeName;
        $this->displayName = $displayName;
        $this->displayOrder = $displayOrder;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    /**
     * @return string Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
}